summaryrefslogtreecommitdiff
path: root/src/xiget.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/xiget.sh')
-rw-r--r--src/xiget.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/src/xiget.sh b/src/xiget.sh
new file mode 100644
index 0000000..815c47f
--- /dev/null
+++ b/src/xiget.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+export CONF_FILE="/etc/xipkg.conf"
+
+CURL_OPTS="-SsL"
+
+DEP_GRAPH=$(parseconf -v dir.deps)
+
+get_deps() {
+ local name=$1
+ [ -f $DEP_GRAPH ] && sed -rn "s/^$name: (.*)/\1/p" $DEP_GRAPH || echo
+}